Subject: bug#53232: reopen 53232

From: John Yates <[email-masked]>
Date: Sat, 15 Jan 2022 16:46:56 -0500

I originally reported this issue via email to emacs-devel.
Stefan suggested that I try early-init.el and suggested
that a bug report would be more appropriate.

I attempted to use early-init.el without success and
so set about to submit a bug report.

My previous erroneous repro case

    emacs -Q --eval '(set-background-color "#000000")'

was an attempt to comply with the advice in the bug
template which asks for a -Q repro.

That said, the sub-optimal behavior is real:

* early-init.el:

    (custom-set-variables
     '(default-frame-alist
       '((fullscreen . maximized)
         (background-color . "#000000")
         (foreground-color . "#ffffff")))
     '(inhibit-startup-screen t)
    )

* init.el:

    [EMPTY]

This time, before being so quick to close, please
confirm that any suggested fix actually works.

My confusion about sequencing makes me think that
there might be a place for an --early-eval option.